<!-- Keep a Changelog guide -> https://keepachangelog.com -->

# Android Localize Plugin Changelog

## [Unreleased]
### Added
- Supported DeepL translator.

## [2.7.0]
### Changed
- Improve plugin description information.
- Relax translation file name boundaries.

## [2.6.1](https://github.com/Airsaid/AndroidLocalizePlugin/releases/tag/v2.6.1) (2022-08-27)
### Added
- Added rich text supported.
- Added signature configuration.

### Changed
- Upgrade Gradle Wrapper to `7.5.1`.
- Upgrade Intellij Gradle Plugin to `1.8.1`.
- Plugin description changed to be taken from the `README.md` file.

## [2.6.0](https://github.com/Airsaid/AndroidLocalizePlugin/releases/tag/v2.6.0) (2022-06-05)
### Added
- Support Ali translator.
- Support new IDE version.

### Fixed
- Fix google translator translation instability.
- Fix single quote character must be escaped in strings.xml. [#54](https://github.com/Airsaid/AndroidLocalizePlugin/issues/54)
- Fix target folder naming. [#61](https://github.com/Airsaid/AndroidLocalizePlugin/issues/61)

## [2.5.0](https://github.com/Airsaid/AndroidLocalizePlugin/releases/tag/v2.5.0) (2022-02-11)
### Added
- Support for preserving comments, blank lines and other characters.

## [2.4.0](https://github.com/Airsaid/AndroidLocalizePlugin/releases/tag/v2.4.0) (2022-01-21)
### Added
- Supported custom google api key.
- Supported plurals&string-array tags.
- Added baidu icon of light mode.

### Changed
- Changed maximum number of cacheable items to 1000.

## [2.3.0](https://github.com/Airsaid/AndroidLocalizePlugin/releases/tag/v2.3.0) (2021-07-09)
### Added
- Add translation interval time setting.

### Changed
- Replace plugin logo.

## [2.2.1](https://github.com/Airsaid/AndroidLocalizePlugin/releases/tag/v2.2.1) (2021-07-06)
### Fixed
- Fix translation error when source text is in chinese [#33](https://github.com/Airsaid/AndroidLocalizePlugin/issues/33).

## [2.2.0](https://github.com/Airsaid/AndroidLocalizePlugin/releases/tag/v2.2.0) (2021-06-08)
### Added
- Add power by translator description.

### Fixed
- Fix incomplete Google translation long text [#31](https://github.com/Airsaid/AndroidLocalizePlugin/issues/31).

## [2.1.0](https://github.com/Airsaid/AndroidLocalizePlugin/releases/tag/v2.1.0) (2021-06-05)
### Added
- Added Microsoft Translator.
- Added "Use google.com" setting.
- Supported more languages.

## [2.0.0](https://github.com/Airsaid/AndroidLocalizePlugin/releases/tag/v2.0.0) (2021-06-04)
### Added
- Added multiple translator support.
- Added "Open Translated File" option.
- Added translation cache.

### Changed
- Completely refactor the code.
- Optimized the experience.

### Fixed
- Fixed bugs.

## [1.5.0](https://github.com/Airsaid/AndroidLocalizePlugin/releases/tag/v1.5) (2020-03-28)
### Added
- Added "Select All" option.

## [1.4.0](https://github.com/Airsaid/AndroidLocalizePlugin/releases/tag/v1.4) (2020-03-28)
### Added
- Added proxy support.

### Fixed
- Fixed bugs.

## [1.3.0]
### Added
- Added "Overwrite Existing String" option.
- Optimize the experience of choice.

## [1.2.0]
### Fixed
- Fixed garbled bug.

## [1.1.0]
### Added
- Supported for automatic detection of source file language.

## [1.0.0]
- Initial release of the plugin.